Package org.pushingpixels.lafwidget.animation

# Class AnimationFacet

java.lang.Object
org.pushingpixels.lafwidget.animation.AnimationFacet

public final class AnimationFacet extends Object
Animation facet.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AnimationFacet`
`ARM`
Arming a component.
`protected String`
`displayName`
Animation facet display name.
`static final AnimationFacet`
`FOCUS`
Focusing a component.
`static final AnimationFacet`
`FOCUS_LOOP_ANIMATION`
Focus loop animation.
`static final AnimationFacet`
`GHOSTING_BUTTON_PRESS`
Ghosting image effects on buttons when the button is pressed.
`static final AnimationFacet`
`GHOSTING_ICON_ROLLOVER`
Ghosting image effects on button icons when the button is rolled-over.
`static final AnimationFacet`
`ICON_GLOW`
Glow effect on icons when the relevant control is rolled over.
`static final AnimationFacet`
`PRESS`
Pressing a component.
`static final AnimationFacet`
`ROLLOVER`
Rollover a component.
`static final AnimationFacet`
`SELECTION`
Selecting a component.

## Constructor Summary

Constructors
Constructor
Description
`AnimationFacet(String displayName, boolean isDefaultAllowed)`
Creates a new animation facet.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### displayName

protected String displayName
Animation facet display name.

### ARM

public static final AnimationFacet ARM
Arming a component.

### PRESS

public static final AnimationFacet PRESS
Pressing a component.

### FOCUS

public static final AnimationFacet FOCUS
Focusing a component.

### FOCUS_LOOP_ANIMATION

public static final AnimationFacet FOCUS_LOOP_ANIMATION

Focus loop animation. Disabled by default, use `AnimationConfigurationManager.allowAnimations(AnimationFacet)` to enable.

Since:
  version 3.0

### ROLLOVER

public static final AnimationFacet ROLLOVER
Rollover a component.

### SELECTION

public static final AnimationFacet SELECTION
Selecting a component.

### GHOSTING_ICON_ROLLOVER

public static final AnimationFacet GHOSTING_ICON_ROLLOVER
Ghosting image effects on button icons when the button is rolled-over. Disabled by default, use `AnimationConfigurationManager.allowAnimations(AnimationFacet)` to enable.

### GHOSTING_BUTTON_PRESS

public static final AnimationFacet GHOSTING_BUTTON_PRESS
Ghosting image effects on buttons when the button is pressed. Disabled by default, use `AnimationConfigurationManager.allowAnimations(AnimationFacet)` to enable.

### ICON_GLOW

public static final AnimationFacet ICON_GLOW
Glow effect on icons when the relevant control is rolled over. Disabled by default, use `AnimationConfigurationManager.allowAnimations(AnimationFacet)` to enable.

## Constructor Details

### AnimationFacet

public AnimationFacet(String displayName, boolean isDefaultAllowed)
Creates a new animation facet.

Parameters:
  `displayName` - Display name for the animation facet.
  `isDefaultAllowed` - Indicates whether this animation facet is allowed by default.

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`